► |  | Sprachebenen und Material zu Schreibe Dein Programm!

1 | Schreibe Dein Programm! - Anfänger
2 | Schreibe Dein Programm!
3 | Schreibe Dein Programm! - fortgeschritten
4 | Konstruktionsanleitungen
5 | sdp: Sprachen als Libraries
| Index

▼ | 2 | Schreibe Dein Programm!

2.1 | Signaturen
2.2 | let, letrec und let*
2.3 | Pattern-Matching
2.4 | Primitive Operationen

On this page:

empty-list
list-of
nonempty-list-of

top ← prev up next →

#### 2.1`` Signaturen

> > syntax

> > empty-list

Signatur für die leere Liste.

> > syntax

> > (list-of sig)

Diese Signatur ist dann für einen Wert gültig, wenn dieser eine Liste ist, für dessen Elemente sig gültig ist.

> > syntax

> > (nonempty-list-of sig)

Diese Signatur ist dann für einen Wert gültig, wenn dieser eine nichtleere Liste ist, für dessen Elemente sig gültig ist.
top ← prev up next →